#include <hmg.ch>

#define ZFMAIN Main
#define ZMFILE "&File"
#define ZMFILE01 "&Open"
#define ZSTTBAR01 "hfManager"

FUNCTION Main()
  MEMVAR _HMG_SYSDATA
  DEFINE WINDOW ZFMAIN ;
    AT 10, 10 ;
    WIDTH 1024 ;
    HEIGHT 668
    //
    DefineStatusBar()
    //
    DefineMainMenu()
    //
    DefineListBox()
    //
    DefineEditBox()
    
  END WINDOW
  CENTER WINDOW ZFMAIN
  ACTIVATE WINDOW ZFMAIN
  RETURN NIL
  
FUNCTION Main_List_1_OnChange()
  nValue := GetProperty( "Main", "List_1", "Value")
  cDisplayItem := ALLTRIM( GetProperty( "Main", "List_1", "Item", nValue))
  // cDisplayItem := "getStartupFolder()"
  cCode := "{|x| " + cDisplayItem + "}"
  BEGIN SEQUENCE
    bCode := &cCode
    uResult := EVAL( bCode)
  RECOVER
    msgDebug( "undefined function :", cCode)  
  END 
  IF VALTYPE( uResult) == 'C'
    cEditValue := uResult + HB_EOL() + GetProperty( "Main", "Edit_1", "Value")
    SetProperty( "Main", "Edit_1", "Value", cEditValue)
  ELSE
    msgDebug( uResult)
  ENDIF
  msgDebug( cDisplayItem, EVAL( bCode))
  RETURN NIL

FUNCTION DefineEditBox()  
  @10, 270 EDITBOX Edit_1 WIDTH 400 HEIGHT 400
  RETURN NIL
  
FUNCTION DefineListBox()
  cString := HB_MEMOREAD( "hbmk2hb.txt")
  aItems := HB_ATOKENS( cString, HB_EOL())
  @10, 10 LISTBOX List_1 WIDTH 250 HEIGHT 400 ITEMS aItems ON CHANGE Main_List_1_OnChange()
  RETURN NIL  
  
FUNCTION DefineMainMenu()
  aMainMenu := {{ "Files", { "Change Attributes...", ;
                             "Pack...", ;
                             "Unpack Specific Files..."    }}, ;
                { "Mark", {}}, ;
                { "Commands", {}}, ;
                { "Net", {}}, ;
                { "Show", {}}, ;
                { "Configuration", {}}, ;
                { "Start", {}}}
  DEFINE MAIN MENU
      DEFINE POPUP ZMFILE
        MENUITEM ZMFILE01 ACTION msgDebug( ZMFILE01)
      END POPUP
    END MENU
  RETURN NIL    
  
FUNCTION DefineStatusBar()
  MEMVAR _HMG_SYSDATA
  DEFINE STATUSBAR
      STATUSITEM ZSTTBAR01
      DATE
      CLOCK
      KEYBOARD
    END STATUSBAR
  RETURN NIL  